Summary: GNU Bourne Again Shell (bash)
Name: bash
Version: 2.01
Release: 2
Group: Shells
Copyright: GPL
ExcludeArch: axp sparc
Source: prep.ai.mit.edu:/pub/gnu/bash-2.01.tar.gz
Source1: bash.bashrc
Source2: bash.bash_logout
Patch: bash-2.01-misc.patch
BuildRoot: /var/tmp/bash-root

%description
Bash is an sh-compatible command language interpreter that
executes commands read from the standard input or from a
file.  Bash also incorporates useful features from the
Korn and C shells (ksh and csh).

Bash is ultimately intended to be a conformant implementation
of the IEEE Posix Shell and Tools specification (IEEE
Working Group 1003.2).

This package is compiled with default support for cd spelling, i.e. minor
errors in the spelling of a directory component in a cd command will be
corrected in interactive shells.

%prep
%setup
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=$RPM_BUILD_ROOT/usr --bindir=$RPM_BUILD_ROOT/bin --sbindir=$RPM_BUILD_ROOT/sbin

make
make -C doc bashref.html

%install
rm -f $RPM_BUILD_ROOT

make install
mkdir -p $RPM_BUILD_ROOT/{etc,usr/bin}
mv $RPM_BUILD_ROOT/bin/bashbug $RPM_BUILD_ROOT/usr/bin/bashbug
install -m755 $RPM_SOURCE_DIR/bash.bashrc $RPM_BUILD_ROOT/etc/bash.bashrc
install -m755 $RPM_SOURCE_DIR/bash.bash_logout $RPM_BUILD_ROOT/etc/bash.bash_logout
gzip -9nf $RPM_BUILD_ROOT/usr/info/bash.info
ln -sf bash $RPM_BUILD_ROOT/bin/sh
ln -sf bash.1 $RPM_BUILD_ROOT/usr/man/man1/sh.1

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/bash" > /etc/shells
	echo "/bin/sh" >> /etc/shells
else
	if ! grep '^/bin/bash$' /etc/shells > /dev/null; then
		echo "/bin/bash" >> /etc/shells
	fi
	if ! grep '^/bin/sh$' /etc/shells > /dev/null; then
		echo "/bin/sh" >> /etc/shells
	fi
fi

%postun
if [ "$1" = "0" ]; then
	grep -v /bin/bash /etc/shells | grep -v /bin/sh > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%files
%doc AUTHORS CHANGES COMPAT COPYING NEWS NOTES README doc/FAQ doc/INTRO
%doc doc/bashref.html
%config /etc/bash.bashrc
%config /etc/bash.bash_logout
/bin/bash
/bin/sh
/usr/info/bash.info.gz
/usr/man/man1/bash.1
/usr/man/man1/sh.1
/usr/bin/bashbug

%clean
rm -rf $RPM_BUILD_ROOT
